Security

TrustRail findings and evidence

GET
/security/events

TrustRail findings and evidence.

Authorization

__Host-qm_session<token>

Session cookie set by sign-in on HTTPS deployments (the hosted demo).

In: cookie

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/security/events"
{  "items": [    {      "id": "string",      "type": "PROMPT_INJECTION",      "severity": "LOW",      "title": "string",      "description": "string",      "source_kind": "string",      "source_id": "string",      "evidence": {},      "related_purchase_order_id": "string",      "related_request_id": "string",      "created_at": "string"    }  ],  "next_cursor": "string"}